﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MainPage.aspx.cs" Inherits="TestProject.MainPage" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head runat="server">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>CustomValidator 클래스 : 약관 동의하기</title>
        <script>
            function ValidationConfirmCheckBox(sender, e)
            {
                if(document.getElementById("<%= confirmCheckBox.ClientID %>").checked == true)
                {
                    e.IsValid = true;
                }
                else
                {
                    e.IsValid = false;
                }
            }
        </script>
    </head>
    <body>
        <form id="form" runat="server">
            <div>
                <label for="optGender">
                    <asp:Literal ID="Literal1" runat="server">이용 약관</asp:Literal>:
                </label>
                <div>
                    <p>회원 이용 약관에 동의하셔야 회원가입을 하실 수 있습니다.</p>
                    <asp:TextBox ID="agreementTextBox" runat="server"
                        Style="font-size:9pt;"
                        Width="100%"
                        Height="80px"
                        TextMode="MultiLine">
                    </asp:TextBox>
                    <div>
                        <label>
                            <asp:CheckBox ID="confirmCheckBox" runat="server"
                                Checked="false" />
                            <asp:Literal ID="agreeLicenseLiteral" runat="server">
                                위 약관에 동의합니다.(Accept the license)
                            </asp:Literal>
                        </label>
                    </div>
                    <asp:CustomValidator ID="confirmCustomValidator" runat="server"
                        ErrorMessage="약관에 동의하셔야 합니다."
                        ClientValidationFunction="ValidationConfirmCheckBox">
                    </asp:CustomValidator>
                    <asp:ValidationSummary ID="validationSummary" runat="server" 
                        ShowSummary="false"
                        ShowMessageBox="true" />
                    <div>
                        <asp:Button ID="submitButton" runat="server"
                            Text="가입하기" />
                    </div>
                </div>
            </div>
        </form>
    </body>
</html>